## oflib 0git20070301

=== Makefile ===
include_dir=/usr/local/include/ofapi

default:
	gcc -g -Wall lib/*.c -shared -o libofapi.so

install:
	cp libofapi.so /usr/local/lib
	test -d "$(include_dir)" || mkdir "$(include_dir)"
	cp lib/*.h /usr/local/include/ofapi

all:
	make default
	make install
	make examples

examples:
	make -C example/

clean:
	make -C example/ clean 
	rm libofapi.so

=== example/Makefile ===
default:
	gcc -std=c99 -lofapi example.c -o example
	gcc -std=c99 -lofapi ramtest.c -o ramtest
clean:
	rm ramtest
	rm example

## oflib 0git20070620

=== Makefile ===
include_dir=/usr/local/include/ofapi

LIBNAME = libofapi.so
SONAME = $(LIBNAME).0
SOVERSION = $(SONAME).0.0

default:
	gcc -g -Wall -D_REENTRANT -DPIC -fpic -Wl,-soname -Wl,$(SONAME) lib/*.c -shared -o $(SOVERSION)

install:
	cp $(SOVERSION) /usr/local/lib
	ln -s /usr/local/lib/$(SOVERSION) /usr/local/lib/$(SONAME)
	ln -s /usr/local/lib/$(SOVERSION) /usr/local/lib/$(LIBNAME)
	test -d "$(include_dir)" || mkdir "$(include_dir)"
	cp lib/*.h $(include_dir)

all:
	make default
	make install
	make examples

examples:
	make -C example/

clean:
	make -C example/ clean 
	rm -f libofapi.so.*

=== example/Makefile ===
default:
	gcc -std=c99 -lofapi example.c -o example
	gcc -std=c99 -lofapi ramtest.c -o ramtest
clean:
	rm -f ramtest
	rm -f example

=== debian/changelog ===
oflib (0git20070620-6) unstable; urgency=low

  * Multiarch conversion.

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).
    + Bump debhelper build-dep to >= 8.1.3 for multiarch.
    + Add Pre-Depends: ${misc:Pre-Depends} to libofapi0.
    + Tag libofapi0 with Multi-Arch: same.
  * debian/rules:
    + Add DEB_HOST_MULTIARCH to make install invocation.
  * debian/*.install:
    + Adapt for multiarch.
  * debian/*.dirs:
    + Removed; unneeded.

  * debian/patches/Makefile_mods_debian.patch:
    + Take multiarch path into account.

 -- Julien BLACHE <jblache@debian.org>  Mon, 13 Jun 2011 10:15:04 +0200

oflib (0git20070620-5) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  * debian/control:
    + Bump Standards-Version to 3.9.1 (no changes).
    + Add ${misc:Depends} to libofapi-dev. 
  * debian/patches/fix_examples.patch:
    + Added; fix the soundbus example and enable it (closes: #609796).

 -- Julien BLACHE <jblache@debian.org>  Wed, 12 Jan 2011 18:34:14 +0100

oflib (0git20070620-4) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.7.3.

 -- Julien BLACHE <jblache@debian.org>  Sat, 01 Mar 2008 16:38:47 +0100

oflib (0git20070620-3) unstable; urgency=low

  * Makefile:
    + Use $(MAKE) instead of make, needed for parallel builds.

 -- Julien BLACHE <jblache@debian.org>  Tue, 04 Dec 2007 13:52:28 +0100

oflib (0git20070620-2) unstable; urgency=low

  * debian/rules:
    + Do not ignore errors from make clean.

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Aug 2007 18:39:00 +0200

oflib (0git20070620-1) unstable; urgency=low

  * New snapshot.
    + Patches for the libofapi.so.0 soname merged upstream.
  * debian/control:
    + Rename library package to libofapi0.
    + Use ${binary:Version} instead of ${Source-Version}.
  * debian/copyright:
    + Updated upstream's email address.

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Jun 2007 21:01:43 +0200

oflib (0git20070301-1) unstable; urgency=low

  * Initial release (Closes: #413022).

 -- Julien BLACHE <jblache@debian.org>  Thu,  1 Mar 2007 20:31:31 +0100

=== debian/control ===
Source: oflib
Section: libs
Priority: extra
Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>= 8.1.3)
Standards-Version: 3.9.2

Package: libofapi-dev
Section: libdevel
Architecture: any
Depends: libofapi0 (= ${binary:Version}), ${misc:Depends}
Description: OpenFirmware device-tree parsing library [development files]
 oflib is a library designed to make the parsing of POWER and SPARC
 device-tree's (OpenFirmware) simple and fast.
 .
 It is useful for querying the hardware of the current system in applications
 for Apple, IBM and SUN machines.
 .
 Example applications are included to show some of its capabilities.

Package: libofapi0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenFirmware device-tree parsing library
 oflib is a library designed to make the parsing of POWER and SPARC
 device-tree's (OpenFirmware) simple and fast.
 .
 It is useful for querying the hardware of the current system in applications
 for Apple, IBM and SUN machines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CFLAGS)"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp MULTIARCH_PATH=$(DEB_HOST_MULTIARCH) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
